net.sf.jasperreports.export

## Class SimpleHtmlExporterConfiguration

- java.lang.Object
- - net.sf.jasperreports.export.SimpleCommonExportConfiguration
  - - net.sf.jasperreports.export.SimpleExporterConfiguration
    - - net.sf.jasperreports.export.SimpleHtmlExporterConfiguration

- All Implemented Interfaces:
    CommonExportConfiguration, ExporterConfiguration, HtmlExporterConfiguration

      public class SimpleHtmlExporterConfiguration
      extends SimpleExporterConfiguration
      implements HtmlExporterConfiguration

  Version:
    $Id: SimpleHtmlExporterConfiguration.java 6805 2014-01-10 12:42:19Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.export.HtmlExporterConfiguration

      `PROPERTY_BETWEEN_PAGES_HTML, PROPERTY_FLUSH_OUTPUT, PROPERTY_HTML_FOOTER, PROPERTY_HTML_HEADER`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleHtmlExporterConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBetweenPagesHtml()` Returns a string representing HTML code that will be inserted between pages of the generated report.
    `java.lang.String` | `getHtmlFooter()` Returns a string representing HTML code that will be inserted after the generated report.
    `java.lang.String` | `getHtmlHeader()` Returns a string representing HTML code that will be inserted in front of the generated report.
    `java.lang.Boolean` | `isFlushOutput()` A flag that determines whether the HTML exporter should flush the output stream after writing the HTML content to it.
    `void` | `setBetweenPagesHtml(java.lang.String betweenPagesHtml)`
    `void` | `setFlushOutput(java.lang.Boolean flushOutput)`
    `void` | `setHtmlFooter(java.lang.String htmlFooter)`
    `void` | `setHtmlHeader(java.lang.String htmlHeader)`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleCommonExportConfiguration

      `isOverrideHints, setOverrideHints`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Constructor Detail

    - #### SimpleHtmlExporterConfiguration

          public SimpleHtmlExporterConfiguration()

  - ### Method Detail

    - #### getHtmlHeader

          public java.lang.String getHtmlHeader()

      Description copied from interface: `HtmlExporterConfiguration`
      Returns a string representing HTML code that will be inserted in front of the generated report. The JasperReports engine places a piece of HTML code at the top of the page but users can define their own headers and stylesheet links.
      Specified by:
        `getHtmlHeader` in interface `HtmlExporterConfiguration`

    - #### setHtmlHeader

          public void setHtmlHeader(java.lang.String htmlHeader)

    - #### getBetweenPagesHtml

          public java.lang.String getBetweenPagesHtml()

      Description copied from interface: `HtmlExporterConfiguration`
      Returns a string representing HTML code that will be inserted between pages of the generated report. By default, JasperReports separates pages by two empty lines, but this behavior can be overridden by this parameter.
      Specified by:
        `getBetweenPagesHtml` in interface `HtmlExporterConfiguration`

    - #### setBetweenPagesHtml

          public void setBetweenPagesHtml(java.lang.String betweenPagesHtml)

    - #### getHtmlFooter

          public java.lang.String getHtmlFooter()

      Description copied from interface: `HtmlExporterConfiguration`
      Returns a string representing HTML code that will be inserted after the generated report. By default, JasperReports closes the usual HTML tags that were opened in `HtmlExporterConfiguration.getHtmlHeader()`. If a custom HTML header was provided using `HtmlExporterConfiguration.getHtmlHeader()`, it is recommended that a value for this setting is provided too, in order to ensure proper construction of HTML page.
      Specified by:
        `getHtmlFooter` in interface `HtmlExporterConfiguration`

    - #### setHtmlFooter

          public void setHtmlFooter(java.lang.String htmlFooter)

    - #### isFlushOutput

          public java.lang.Boolean isFlushOutput()

      Description copied from interface: `HtmlExporterConfiguration`
      A flag that determines whether the HTML exporter should flush the output stream after writing the HTML content to it.
      Specified by:
        `isFlushOutput` in interface `HtmlExporterConfiguration`
      See Also:
        `HtmlExporterConfiguration.PROPERTY_FLUSH_OUTPUT`

    - #### setFlushOutput

          public void setFlushOutput(java.lang.Boolean flushOutput)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com